package com.jsl.oa.services;

import com.jsl.oa.model.doData.MessageAddDO;
import com.jsl.oa.utils.BaseResponse;

import javax.servlet.http.HttpServletRequest;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * <h1>消息服务接口</h1>
 * <hr/>
 * 用于消息控制
 *
 * @author 张睿相
 * @version v1.1.0
 * @since v1.1.0
 */
public interface MessageService {

    BaseResponse messageDelete(Long mid,HttpServletRequest request);

    BaseResponse messageGet(LocalDate begin, LocalDate end, Integer page, Integer pageSize, Long uid);

    //BaseResponse messageGetAll(LocalDate begin, LocalDate end, Integer page, Integer pageSize, Long loginId, Long uid);

    BaseResponse messageAdd(HttpServletRequest request, MessageAddDO messageAddDO);
}
